net.sf.jasperreports.components.spiderchart.type

## Enum TableOrderEnum

- java.lang.Object
- - java.lang.Enum<TableOrderEnum>
  - - net.sf.jasperreports.components.spiderchart.type.TableOrderEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableOrderEnum>, JREnum, NamedEnum

      public enum TableOrderEnum
      extends java.lang.Enum<TableOrderEnum>
      implements JREnum

  Version:
    $Id: TableOrderEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BY_COLUMN`
    `BY_ROW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableOrderEnum` | `getByName(java.lang.String name)`
    `static TableOrderEnum` | `getByValue(org.jfree.util.TableOrder order)`
    `java.lang.String` | `getName()`
    `org.jfree.util.TableOrder` | `getOrder()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static TableOrderEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableOrderEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BY_ROW

          public static final TableOrderEnum BY_ROW

    - #### BY_COLUMN

          public static final TableOrderEnum BY_COLUMN

  - ### Method Detail

    - #### values

          public static TableOrderEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableOrderEnum c : TableOrderEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableOrderEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getOrder

          public final org.jfree.util.TableOrder getOrder()

    - #### getByName

          public static TableOrderEnum getByName(java.lang.String name)

    - #### getByValue

          public static TableOrderEnum getByValue(org.jfree.util.TableOrder order)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com